summaryrefslogtreecommitdiff
path: root/etc/rhdropbox/sample/newfile.sh
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2009-12-16 23:50:29 +0000
committerChristian Pointner <equinox@helsinki.at>2009-12-16 23:50:29 +0000
commit85b93697d95687486f61ed79deaae5e1fc4c9512 (patch)
tree1cb75e39adf02526b9048669c5f9c62f5618cabf /etc/rhdropbox/sample/newfile.sh
parentadded debian packaging directory (diff)
added sample config
Diffstat (limited to 'etc/rhdropbox/sample/newfile.sh')
-rwxr-xr-xetc/rhdropbox/sample/newfile.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/etc/rhdropbox/sample/newfile.sh b/etc/rhdropbox/sample/newfile.sh
new file mode 100755
index 0000000..bef4ea5
--- /dev/null
+++ b/etc/rhdropbox/sample/newfile.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+DIR=$1
+FILENAME=$2
+SIZE=$3
+
+if [ -z "$FILENAME" ]; then
+ exit 1;
+fi
+
+echo "new file of size $SIZE detected: $DIR/$FILENAME" >> /tmp/rhdropbox-sample.log
+sleep 5
+rm -f $DIR/$FILENAME >> /tmp/rhdropbox-sample.log 2>&1
+
+exit 0
+